Package: bcfg2
Version: 1.1.1-3
Severity: normal
Tags: patch
User: [email protected]
Usertags: origin-ubuntu oneiric ubuntu-patch
In Ubuntu, the attached patch was applied to achieve the following:
* Apply patch from Torsten Rehn to resolve $BCFG2_SERVER_OPTIONS
not being honored in the bcfg2-server initscript. (LP: #781612)
Thanks for considering the patch.
-- System Information:
Debian Release: wheezy/sid
APT prefers oneiric-updates
APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'), (500,
'oneiric-proposed'), (500, 'oneiric')
Architecture: amd64 (x86_64)
Kernel: Linux 3.0.0-5-generic (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
diff -Nru bcfg2-1.1.1/debian/bcfg2-server.init bcfg2-1.1.1/debian/bcfg2-server.init
--- bcfg2-1.1.1/debian/bcfg2-server.init 2011-05-16 09:52:14.000000000 -0400
+++ bcfg2-1.1.1/debian/bcfg2-server.init 2011-07-20 13:58:54.000000000 -0400
@@ -56,7 +56,7 @@
start-stop-daemon --start --quiet --pidfile $PIDFILE --name $NAME \
--startas $DAEMON --test > /dev/null || return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --name $NAME \
- --startas $DAEMON -- $DAEMON_ARGS || return 2
+ --startas $DAEMON -- $DAEMON_ARGS $BCFG2_SERVER_OPTIONS || return 2
}
#